org.deidentifier.arx.test

## Class TestRiskMetrics

- java.lang.Object
- - org.deidentifier.arx.test.TestRiskMetrics

    public class TestRiskMetrics
    extends java.lang.Object

Test for risk metrics.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`TestRiskMetrics()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testAverageRisk()` Test average risk using the example dataset.
`void` `testAverageRisk2()` Test average risk using the adult dataset.
`void` `testDecisionRule()` Test decision rule using the test dataset.
`void` `testDecisionRule2()` Test decision rule using the adult dataset.
`void` `testHighestIndividualRisk()` Test highest individual risk using the test dataset.
`void` `testHighestIndividualRisk2()` Test highest individual risk using the adult dataset.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestRiskMetrics

    public TestRiskMetrics()

### Method Detail

#### testAverageRisk

    public void testAverageRisk()

Test average risk using the example dataset.

#### testAverageRisk2

    public void testAverageRisk2()
                          throws java.io.IOException

Test average risk using the adult dataset.

Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### testDecisionRule

    public void testDecisionRule()

Test decision rule using the test dataset.

#### testDecisionRule2

    public void testDecisionRule2()
                           throws java.io.IOException

Test decision rule using the adult dataset.

Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.

#### testHighestIndividualRisk

    public void testHighestIndividualRisk()

Test highest individual risk using the test dataset.

#### testHighestIndividualRisk2

    public void testHighestIndividualRisk2()
                                    throws java.io.IOException

Test highest individual risk using the adult dataset.

Throws:
  `java.io.IOException` - Signals that an I/O exception has occurred.